You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cordova.apache.org by sh...@apache.org on 2013/03/28 23:18:22 UTC

ios commit: [CB-2788] add ./bin/check_reqs script to iOS

Updated Branches:
  refs/heads/master 5d8a01a8f -> cb8e66cf4


[CB-2788] add ./bin/check_reqs script to iOS


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/cb8e66cf
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/cb8e66cf
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/cb8e66cf

Branch: refs/heads/master
Commit: cb8e66cf415e27fe049a50d6d0d6e39c4823b809
Parents: 5d8a01a
Author: Shazron Abdullah <sh...@apache.org>
Authored: Thu Mar 28 15:18:18 2013 -0700
Committer: Shazron Abdullah <sh...@apache.org>
Committed: Thu Mar 28 15:18:18 2013 -0700

----------------------------------------------------------------------
 bin/check_reqs |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/cb8e66cf/bin/check_reqs
----------------------------------------------------------------------
diff --git a/bin/check_reqs b/bin/check_reqs
new file mode 100755
index 0000000..27d00c3
--- /dev/null
+++ b/bin/check_reqs
@@ -0,0 +1,34 @@
+#! /bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+XCODEBUILD_LOCATION=$(which xcodebuild)
+if [ $? != 0 ]; then
+	echo "Xcode is (probably) not installed, specifically the command 'xcodebuild' is unavailable."
+	exit 1
+fi
+
+XCODEBUILD_MIN_VERSION="4.5"
+XCODEBUILD_VERSION=$(xcodebuild -version | head -n 1 | sed -e 's/Xcode //')
+
+if [[ "$XCODEBUILD_VERSION" < "$XCODEBUILD_MIN_VERSION" ]]; then
+	echo "Cordova can only run in Xcode version $XCODEBUILD_MIN_VERSION or greater."
+	exit 1
+fi